Rmagic install Problem on linux/Ubuntu

Hi,
Please help me for installing Rmagic.. I got an error while i am going
to install rmagic is "ERROR: While executing gem ... (RuntimeError)
   ERROR: Failed to build gem native extension."
So what is the problem is there?
How i will install it?
I have already install imagemagick and libmagick9-dev.

What version of imagemagick? The latest rmagick requires a more recent imagemagick. When I did it about a month ago on ubuntu gutsy I ended up building imagemagick from source as there wasn't a package (I could find... i'm new to ubuntu).

-philip

Philip Hallstrom wrote:

Hi,
Please help me for installing Rmagic.. I got an error while i am going
to install rmagic is "ERROR: While executing gem ... (RuntimeError)
   ERROR: Failed to build gem native extension."
So what is the problem is there?
How i will install it?
I have already install imagemagick and libmagick9-dev.

What version of imagemagick? The latest rmagick requires a more recent
imagemagick. When I did it about a month ago on ubuntu gutsy I ended up
building imagemagick from source as there wasn't a package (I could
find... i'm new to ubuntu).

-philip

it is an latest version of imagemagick... So what i do now? I am also
new in ubuntu. Before this i have used feddora. Please if u know the
solution of the install Rmagic.... i need it must